Debian Bug report logs - #668794
Check with upstream if Go works on GNU/KFreeBSD

version graph

Package: src:golang; Maintainer for src:golang is Michael Stapelberg <stapelberg@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sat, 14 Apr 2012 12:39:13 UTC

Severity: wishlist

Tags: sid, wheezy

Found in versions golang/1-6, golang/2:1-5, golang/2:1-3, golang/2:1-4

Fixed in version golang/2:1-6

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://code.google.com/p/go/issues/detail?id=3533

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#668794; Package src:golang. (Sat, 14 Apr 2012 12:39:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Ondřej Surý <ondrej@debian.org>. (Sat, 14 Apr 2012 12:39:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: golang: FTBFS[kfreebsd]: testsuite hang
Date: Sat, 14 Apr 2012 14:37:54 +0200
Package: src:golang
Version: 2:1-3
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

>debian/build.stamp
make[1]: Leaving directory `/build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1'
   debian/rules override_dh_auto_test
make[1]: Entering directory `/build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1'
! : || { cd /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/src && /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/debian/test.bash /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/pkg/tool/freebsd_amd64; }
E: Caught signal 'Terminated': terminating immediately
make[1]: *** [override_dh_auto_test] Terminated
make: *** [build-arch] Terminated

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=golang&arch=kfreebsd-amd64&ver=2%3A1-3&stamp=1334365793

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Sun, 15 Apr 2012 09:06:11 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sun, 15 Apr 2012 09:06:16 GMT) Full text and rfc822 format available.

Message #10 received at 668794-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 668794-close@bugs.debian.org
Subject: Bug#668794: fixed in golang 2:1-4
Date: Sun, 15 Apr 2012 09:02:36 +0000
Source: golang
Source-Version: 2:1-4

We believe that the bug you reported is fixed in the latest version of
golang, which is due to be installed in the Debian FTP archive:

golang-dbg_1-4_amd64.deb
  to main/g/golang/golang-dbg_1-4_amd64.deb
golang-doc_1-4_all.deb
  to main/g/golang/golang-doc_1-4_all.deb
golang-go_1-4_amd64.deb
  to main/g/golang/golang-go_1-4_amd64.deb
golang-mode_1-4_all.deb
  to main/g/golang/golang-mode_1-4_all.deb
golang-src_1-4_amd64.deb
  to main/g/golang/golang-src_1-4_amd64.deb
golang_1-4.debian.tar.gz
  to main/g/golang/golang_1-4.debian.tar.gz
golang_1-4.dsc
  to main/g/golang/golang_1-4.dsc
golang_1-4_all.deb
  to main/g/golang/golang_1-4_all.deb
kate-syntax-go_1-4_all.deb
  to main/g/golang/kate-syntax-go_1-4_all.deb
vim-syntax-go_1-4_all.deb
  to main/g/golang/vim-syntax-go_1-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668794@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated golang package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Apr 2012 10:49:09 +0200
Source: golang
Binary: golang-go golang-src golang-doc golang-dbg golang golang-mode kate-syntax-go vim-syntax-go
Architecture: source amd64 all
Version: 2:1-4
Distribution: unstable
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 golang     - Go programming language compiler - metapackage
 golang-dbg - Go programming language compiler - debug files
 golang-doc - Go programming language compiler - documentation
 golang-go  - Go programming language compiler
 golang-mode - Go programming language - mode for GNU Emacs
 golang-src - Go programming language compiler - source files
 kate-syntax-go - Go programming language - Kate highlighting syntax files
 vim-syntax-go - Go programming language - Vim highlighting syntax files
Closes: 668794
Changes: 
 golang (2:1-4) unstable; urgency=low
 .
   * Disable tests on Debian GNU/KFreeBSD, they just hang now (Closes: #668794)
   * Disable tests on armel, but the invalid instruction needs fixing in
     upstream
   * Create fake home directory to pass the os/user test
Checksums-Sha1: 
 9463a031599fe8b4eb5a7439898666310666d943 1560 golang_1-4.dsc
 0a9a3e7802a4807ae2ab1be0a41c387ed7ae044c 38303 golang_1-4.debian.tar.gz
 7f5d86d9e56135576c96714d4debfdfec4720560 17095982 golang-go_1-4_amd64.deb
 72b8624512afa9a077b00280642537236156b85e 2992612 golang-src_1-4_amd64.deb
 cb677620becbdde5628b3db4e9f34f6f10f16f76 4341166 golang-doc_1-4_all.deb
 a84965ea45d166f7365cab68774600b8a33f39fa 2659976 golang-dbg_1-4_amd64.deb
 faa00f8b742a86d1e8f90925d559f462310fe4d2 24250 golang_1-4_all.deb
 346299f5880c57fbbbb80b4f7068cb4a9e7e78fe 33652 golang-mode_1-4_all.deb
 b213431950899eb6c6a84715ba265f183b9b4c8b 25388 kate-syntax-go_1-4_all.deb
 dab8b63ec3e7756eb22d66a1b0c55344aa45ec13 29922 vim-syntax-go_1-4_all.deb
Checksums-Sha256: 
 787db578fc85c5f6e6a8da17adff6aec5868ebe10127732c41890d5fc5f4c1b0 1560 golang_1-4.dsc
 886140b454362a60e7bac14456db25c22e71087223de79a38e1f95ce1489c262 38303 golang_1-4.debian.tar.gz
 15ecd0e0c4545f343e39add4d0d19f3abe9c4b02ff11382cf39f15b193af30c7 17095982 golang-go_1-4_amd64.deb
 ac8f8624437a3f61d43b9f8aba43b5a512e446d0fc7ac47e272a72635fb36bbe 2992612 golang-src_1-4_amd64.deb
 d22706eb9a1bcffda7e1cd6d4784e06abf6bfc6a899289e980cf76c10a5aa6c5 4341166 golang-doc_1-4_all.deb
 6a189b976be7e01678372f0bd7ccb11caa3040519dc3e30277555832a94190b6 2659976 golang-dbg_1-4_amd64.deb
 3d6115bedc63266cf75c604e3f53b519e8c7cb48784ef79abb4231c6b4dc6176 24250 golang_1-4_all.deb
 c61531857096a1d4ec8ab2644e9ab04e59c0baf5910611af0466fdcf26b66466 33652 golang-mode_1-4_all.deb
 9199742b778cbf78909501a9192cd38de3e57c7d05010ff87fb8af5d82a2cddd 25388 kate-syntax-go_1-4_all.deb
 64c1c71cf42a97c811ce86cc80d54ed89966f76f42bc39b9f98048ffb7682ad0 29922 vim-syntax-go_1-4_all.deb
Files: 
 1db2b54cff66e20f2c702ee006239338 1560 devel optional golang_1-4.dsc
 3357a53d1bec6a4caf9fa532d96d8978 38303 devel optional golang_1-4.debian.tar.gz
 a2da5394c5d21ee5102ae9b4f3c5f3da 17095982 devel optional golang-go_1-4_amd64.deb
 e4918347dffabac769abd82241f93f85 2992612 devel optional golang-src_1-4_amd64.deb
 f55605d6ce8052ac2f2faa4b9953a894 4341166 doc optional golang-doc_1-4_all.deb
 fc47e7f8dfd435761d2fc7b958262578 2659976 debug extra golang-dbg_1-4_amd64.deb
 ed803756e464d526cdb2f44524998b42 24250 devel optional golang_1-4_all.deb
 ca9ecd595e2b128bab4399abc8648e8b 33652 devel optional golang-mode_1-4_all.deb
 da392670f16a30950812d93ee1626726 25388 devel optional kate-syntax-go_1-4_all.deb
 81775ccab3cc510b03205e0f679de0f4 29922 devel optional vim-syntax-go_1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+KjMwACgkQ9OZqfMIN8nPlNwCfcURHH9rP3A8zuFTbBPTh+KgQ
838An2b6YNpI8NO1Ih4VmQYvJCbaI1gS
=2IQ3
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#668794; Package src:golang. (Sun, 15 Apr 2012 22:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Sun, 15 Apr 2012 22:09:06 GMT) Full text and rfc822 format available.

Message #15 received at 668794@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 668794@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: reopen
Date: Mon, 16 Apr 2012 00:04:23 +0200
found 668794 2:1-4
thanks

Hi Ondřej,

I notice you disabled the golang testsuite because it hangs on
GNU/kFreeBSD.  However, the problem is still present, and chances are
it makes golang unusable on that platform.

I gave the source a look, and it seems that on GNU/kFreeBSD golang is
playing with thread primitives, bypassing libc.  For example it
invokes thr_new() kernel call directly, and also calls sigprocmask()
to reset the signal mask in code that is clearly multithreaded [1].

This means that either golang intends to completely replace
libpthread, or it intends to play along with existing libpthread.  I'm
not sure which one applies here, but in both cases there is a problem
that needs to be fixed in golang.

So please don't disable the testsuite.  If golang can't be built on
GNU/kFreeBSD, unless you know it's a bug in the system libraries the
problem needs to be fixed in golang.  If nobody can spend the time to
fix it here, then you should consider not providing the package for
kfreebsd-*.

[1] On multithreaded programs, use of sigprocmask() is reserved to
system libraries.

-- 
Robert Millan




Marked as found in versions golang/2:1-4; no longer marked as fixed in versions golang/2:1-4 and reopened. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2012 22:09:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'Check with upstream if Go works on GNU/KFreeBSD' from 'golang: FTBFS[kfreebsd]: testsuite hang' Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Sun, 15 Apr 2012 22:33:05 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Sun, 15 Apr 2012 22:33:08 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sun, 15 Apr 2012 22:33:09 GMT) Full text and rfc822 format available.

Message #24 received at 668794-done@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: control@bugs.debian.org, 668794-done@bugs.debian.org
Subject: Re: Processed: reopen
Date: Mon, 16 Apr 2012 00:27:43 +0200
Version: 2:1-5

On Mon, Apr 16, 2012 at 00:09, Debian Bug Tracking System
<owner@bugs.debian.org> wrote:
> Processing commands for control@bugs.debian.org:
>
>> found 668794 2:1-4
> Bug #668794 {Done: Ondřej Surý <ondrej@debian.org>} [src:golang] golang: FTBFS[kfreebsd]: testsuite hang
> Marked as found in versions golang/2:1-4; no longer marked as fixed in versions golang/2:1-4 and reopened.
>> thanks
> Stopping processing here.
>
> Please contact me if you need assistance.
> --
> 668794: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668794
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems



-- 
Ondřej Surý <ondrej@sury.org>




Bug reopened Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2012 22:48:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 2:1-5. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2012 22:48:03 GMT) Full text and rfc822 format available.

Marked as found in versions golang/2:1-5. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2012 22:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#668794; Package src:golang. (Mon, 16 Apr 2012 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Mon, 16 Apr 2012 08:33:07 GMT) Full text and rfc822 format available.

Message #35 received at 668794@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Robert Millan <rmh@debian.org>, 668794@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#668794: reopen
Date: Mon, 16 Apr 2012 10:29:59 +0200
severity 668794 important
forwarded 668794 http://code.google.com/p/go/issues/detail?id=3533
thank you

Hi Robert,

(sorry for BTS juggling, I found your comment just after I sent the
first email.)

Anyway I agree that the problem needs to be fixed upstream, but I would suggest
that we keep GNU/KFreeBSD build enabled for the moment and if this cannot be
fixed before freeze, we can always disable it. It would be shame to disable this
build right now, because there would be basically no push to make it
work (if there
is more stuff broken than just the tests).

Thus I am downgrading the severity to important, so it doesn't block
transition, and
will take care of GNU/KFreeBSD builds somewhere around June.

Is that ok with you?

Ondrej

On Mon, Apr 16, 2012 at 00:04, Robert Millan <rmh@debian.org> wrote:
> found 668794 2:1-4
> thanks
>
> Hi Ondřej,
>
> I notice you disabled the golang testsuite because it hangs on
> GNU/kFreeBSD.  However, the problem is still present, and chances are
> it makes golang unusable on that platform.
>
> I gave the source a look, and it seems that on GNU/kFreeBSD golang is
> playing with thread primitives, bypassing libc.  For example it
> invokes thr_new() kernel call directly, and also calls sigprocmask()
> to reset the signal mask in code that is clearly multithreaded [1].
>
> This means that either golang intends to completely replace
> libpthread, or it intends to play along with existing libpthread.  I'm
> not sure which one applies here, but in both cases there is a problem
> that needs to be fixed in golang.
>
> So please don't disable the testsuite.  If golang can't be built on
> GNU/kFreeBSD, unless you know it's a bug in the system libraries the
> problem needs to be fixed in golang.  If nobody can spend the time to
> fix it here, then you should consider not providing the package for
> kfreebsd-*.
>
> [1] On multithreaded programs, use of sigprocmask() is reserved to
> system libraries.
>
> --
> Robert Millan
>
>



-- 
Ondřej Surý <ondrej@sury.org>




Severity set to 'important' from 'serious' Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Mon, 16 Apr 2012 08:33:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://code.google.com/p/go/issues/detail?id=3533'. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Mon, 16 Apr 2012 08:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#668794; Package src:golang. (Mon, 16 Apr 2012 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Mon, 16 Apr 2012 11:00:05 GMT) Full text and rfc822 format available.

Message #44 received at 668794@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: 668794@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#668794: reopen
Date: Mon, 16 Apr 2012 12:58:04 +0200
Hi Ondřej,

Thanks for forwarding this upstream.  It seems to me that it'll be
best to get them involved.  It takes either someone with a clear idea
of golang codebase or a complete audit to properly resolve this.  And
we don't have time for a complete audit :-(

El 16 d’abril de 2012 10:29, Ondřej Surý <ondrej@sury.org> ha escrit:
> Anyway I agree that the problem needs to be fixed upstream, but I would suggest
> that we keep GNU/KFreeBSD build enabled for the moment and if this cannot be
> fixed before freeze, we can always disable it. It would be shame to disable this
> build right now, because there would be basically no push to make it
> work (if there
> is more stuff broken than just the tests).
>
> Thus I am downgrading the severity to important, so it doesn't block
> transition, and
> will take care of GNU/KFreeBSD builds somewhere around June.
>
> Is that ok with you?

I'm worried that other packages could begin depending on golang on
kfreebsd-*, and then it can be a mess if we have to pull it off.  But
I understand your interest in providing it.  Please do keep in mind
that we have very little manpower.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#668794; Package src:golang. (Mon, 16 Apr 2012 11:34:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Mon, 16 Apr 2012 11:34:08 GMT) Full text and rfc822 format available.

Message #49 received at 668794@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Robert Millan <rmh@debian.org>
Cc: 668794@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#668794: reopen
Date: Mon, 16 Apr 2012 13:29:50 +0200
On Mon, Apr 16, 2012 at 12:58, Robert Millan <rmh@debian.org> wrote:
> I'm worried that other packages could begin depending on golang on
> kfreebsd-*, and then it can be a mess if we have to pull it off.  But
> I understand your interest in providing it.  Please do keep in mind
> that we have very little manpower.

I understand, but I think it will take some time before it will come to the
point we will have packages depending on golang in the archive. Anyway
I am prepared to clean the mess if there will be any.

Anyway let's hope the upstream will take a look at this before freeze.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Wed, 18 Apr 2012 08:54:13 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 18 Apr 2012 08:54:17 GMT) Full text and rfc822 format available.

Message #54 received at 668794-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 668794-close@bugs.debian.org
Subject: Bug#668794: fixed in golang 2:1-6
Date: Wed, 18 Apr 2012 08:50:28 +0000
Source: golang
Source-Version: 2:1-6

We believe that the bug you reported is fixed in the latest version of
golang, which is due to be installed in the Debian FTP archive:

golang-dbg_1-6_amd64.deb
  to main/g/golang/golang-dbg_1-6_amd64.deb
golang-doc_1-6_all.deb
  to main/g/golang/golang-doc_1-6_all.deb
golang-go_1-6_amd64.deb
  to main/g/golang/golang-go_1-6_amd64.deb
golang-mode_1-6_all.deb
  to main/g/golang/golang-mode_1-6_all.deb
golang-src_1-6_amd64.deb
  to main/g/golang/golang-src_1-6_amd64.deb
golang_1-6.debian.tar.gz
  to main/g/golang/golang_1-6.debian.tar.gz
golang_1-6.dsc
  to main/g/golang/golang_1-6.dsc
golang_1-6_all.deb
  to main/g/golang/golang_1-6_all.deb
kate-syntax-go_1-6_all.deb
  to main/g/golang/kate-syntax-go_1-6_all.deb
vim-syntax-go_1-6_all.deb
  to main/g/golang/vim-syntax-go_1-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668794@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated golang package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Apr 2012 09:53:30 +0200
Source: golang
Binary: golang-go golang-src golang-doc golang-dbg golang golang-mode kate-syntax-go vim-syntax-go
Architecture: source amd64 all
Version: 2:1-6
Distribution: unstable
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 golang     - Go programming language compiler - metapackage
 golang-dbg - Go programming language compiler - debug files
 golang-doc - Go programming language compiler - documentation
 golang-go  - Go programming language compiler
 golang-mode - Go programming language - mode for GNU Emacs
 golang-src - Go programming language compiler - source files
 kate-syntax-go - Go programming language - Kate highlighting syntax files
 vim-syntax-go - Go programming language - Vim highlighting syntax files
Closes: 668794
Changes: 
 golang (2:1-6) unstable; urgency=low
 .
   * Merge upstream patch to fix homedir issue
     (http://code.google.com/p/go/source/detail?r=709120aecee0)
   * Disable GNU/KFreeBSD build (Closes: #668794)
Checksums-Sha1: 
 9d1c044d5cdb20c46fd73e9f5abf368fa0f1a1ed 1531 golang_1-6.dsc
 e756cfc4d60dd706d256fe62f23946508263a98f 38615 golang_1-6.debian.tar.gz
 0ac9d3901a4e4488bc5fee7831114068c0b5f2bb 17096028 golang-go_1-6_amd64.deb
 485ccf529a4a87e286162197fbea002492861fd3 2992700 golang-src_1-6_amd64.deb
 2ba843d4fe14ca1da9689cef2f5e81c4a6a75560 4341184 golang-doc_1-6_all.deb
 fd080ab4c78d41ff69c8b7e9eaf76cf1bbe20b6a 2660076 golang-dbg_1-6_amd64.deb
 91eccda17a9019f31249e18413ecbd391ad25fe1 24438 golang_1-6_all.deb
 9655c644d1b073151a6afff2f208c09734f83155 33862 golang-mode_1-6_all.deb
 b6fd60674c159a3fca5395d78bdf52d74ac3d9ba 25586 kate-syntax-go_1-6_all.deb
 98c51f8ac37d367064c91e71fea30a41de412b38 30104 vim-syntax-go_1-6_all.deb
Checksums-Sha256: 
 ac7c26aba24a0cec5ec0e2dc4b334372a7192ba589b2dcbb09ebdd04bdc96d3f 1531 golang_1-6.dsc
 1053e0e5c31e357115233ba93ff0773dc3ffa98c9492962260630c9f8ec48152 38615 golang_1-6.debian.tar.gz
 85e54f471336efe4846aece12da820375079192fbfe53621ff3087dc0c669f89 17096028 golang-go_1-6_amd64.deb
 30747bc07d663ed9d2b3377e8d36aac59d817d8dcc17b4bf9df1f133865c0958 2992700 golang-src_1-6_amd64.deb
 b271ae6be51861fe49f4426573ba0b36a20980801fabdb2446418247a02582a0 4341184 golang-doc_1-6_all.deb
 8347c103ab3906fe963e87a3dcf5dee2a921a5b8f21734913dbafc81d3669d11 2660076 golang-dbg_1-6_amd64.deb
 534df996becb70f8fa1fd60ba714182e711b40f1fce7a410a392cc19f8ed837d 24438 golang_1-6_all.deb
 3cb20d539bc0d098fdbe8d869b9f53e0d1e06eda9afcd4717d4a856e88a8ee5c 33862 golang-mode_1-6_all.deb
 5b7c1519a47dc2d4f84f226614f83c3f1e84e2b859c82118d3ca970a0dde064f 25586 kate-syntax-go_1-6_all.deb
 9a96696f8d2ef28ca4165708a77b28fc7b6225ac93d5ea2c126a4da5f883605f 30104 vim-syntax-go_1-6_all.deb
Files: 
 3bc983502ccc05c93a9f162818b2d4a7 1531 devel optional golang_1-6.dsc
 e7f797eb4b88fa4727aecbe892de840f 38615 devel optional golang_1-6.debian.tar.gz
 effa709f11bc69c71bed684c7635caba 17096028 devel optional golang-go_1-6_amd64.deb
 4673fab0a436d16bc55f6310e10f0f67 2992700 devel optional golang-src_1-6_amd64.deb
 06b49f301a3edf4e73aa98d7199b28b4 4341184 doc optional golang-doc_1-6_all.deb
 8b7ec0877e5dff5f53384baf532679a5 2660076 debug extra golang-dbg_1-6_amd64.deb
 1576a39e34a911ca145077ec9161adec 24438 devel optional golang_1-6_all.deb
 407ef60c555d4016bbba3e06c4479c08 33862 devel optional golang-mode_1-6_all.deb
 19cc806f67589fee0dc9b710399dfc40 25586 devel optional kate-syntax-go_1-6_all.deb
 7a1ec826e56404dc7412d0b474580edb 30104 devel optional vim-syntax-go_1-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+Oc6kACgkQ9OZqfMIN8nMBRQCfdKSRW9szhxeLUlcXuQwNUAw1
YFUAoKkqAFlFR2umDuUBb4Ix1+L43KGr
=JQBl
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#668794; Package src:golang. (Wed, 18 Apr 2012 18:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Wed, 18 Apr 2012 18:51:02 GMT) Full text and rfc822 format available.

Message #59 received at 668794@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 668794@bugs.debian.org
Subject: Re: Bug#668794 closed by Ondřej Surý <ondrej@debian.org> (Bug#668794: fixed in golang 2:1-6)
Date: Wed, 18 Apr 2012 20:48:16 +0200
found 668794 1-6
severity 668794 wishlist
thanks

Hi Ondřej,

Thanks for taking care of this.  If you don't mind, I'd like to keep
this bug open so the information is not lost.  Hopefully GNU/kFreeBSD
support can be reenabled someday!

Btw, I think you need to request removal of kfreebsd-* binaries if you
want golang to migrate to testing.

El 18 d’abril de 2012 10:54, Debian Bug Tracking System
<owner@bugs.debian.org> ha escrit:
> This is an automatic notification regarding your Bug report
> which was filed against the src:golang package:
>
> #668794: Check with upstream if Go works on GNU/KFreeBSD
>
> It has been closed by Ondřej Surý <ondrej@debian.org>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Ondřej Surý <ondrej@debian.org> by
> replying to this email.
>
>
> --
> 668794: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668794
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>
> ---------- Missatge reenviat ----------
> From: "Ondřej Surý" <ondrej@debian.org>
> To: 668794-close@bugs.debian.org
> Cc:
> Date: Wed, 18 Apr 2012 08:50:28 +0000
> Subject: Bug#668794: fixed in golang 2:1-6
> Source: golang
> Source-Version: 2:1-6
>
> We believe that the bug you reported is fixed in the latest version of
> golang, which is due to be installed in the Debian FTP archive:
>
> golang-dbg_1-6_amd64.deb
>  to main/g/golang/golang-dbg_1-6_amd64.deb
> golang-doc_1-6_all.deb
>  to main/g/golang/golang-doc_1-6_all.deb
> golang-go_1-6_amd64.deb
>  to main/g/golang/golang-go_1-6_amd64.deb
> golang-mode_1-6_all.deb
>  to main/g/golang/golang-mode_1-6_all.deb
> golang-src_1-6_amd64.deb
>  to main/g/golang/golang-src_1-6_amd64.deb
> golang_1-6.debian.tar.gz
>  to main/g/golang/golang_1-6.debian.tar.gz
> golang_1-6.dsc
>  to main/g/golang/golang_1-6.dsc
> golang_1-6_all.deb
>  to main/g/golang/golang_1-6_all.deb
> kate-syntax-go_1-6_all.deb
>  to main/g/golang/kate-syntax-go_1-6_all.deb
> vim-syntax-go_1-6_all.deb
>  to main/g/golang/vim-syntax-go_1-6_all.deb
>
>
>
> A summary of the changes between this version and the previous one is
> attached.
>
> Thank you for reporting the bug, which will now be closed.  If you
> have further comments please address them to 668794@bugs.debian.org,
> and the maintainer will reopen the bug report if appropriate.
>
> Debian distribution maintenance software
> pp.
> Ondřej Surý <ondrej@debian.org> (supplier of updated golang package)
>
> (This message was generated automatically at their request; if you
> believe that there is a problem with it please contact the archive
> administrators by mailing ftpmaster@debian.org)
>
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Format: 1.8
> Date: Wed, 18 Apr 2012 09:53:30 +0200
> Source: golang
> Binary: golang-go golang-src golang-doc golang-dbg golang golang-mode kate-syntax-go vim-syntax-go
> Architecture: source amd64 all
> Version: 2:1-6
> Distribution: unstable
> Urgency: low
> Maintainer: Ondřej Surý <ondrej@debian.org>
> Changed-By: Ondřej Surý <ondrej@debian.org>
> Description:
>  golang     - Go programming language compiler - metapackage
>  golang-dbg - Go programming language compiler - debug files
>  golang-doc - Go programming language compiler - documentation
>  golang-go  - Go programming language compiler
>  golang-mode - Go programming language - mode for GNU Emacs
>  golang-src - Go programming language compiler - source files
>  kate-syntax-go - Go programming language - Kate highlighting syntax files
>  vim-syntax-go - Go programming language - Vim highlighting syntax files
> Closes: 668794
> Changes:
>  golang (2:1-6) unstable; urgency=low
>  .
>   * Merge upstream patch to fix homedir issue
>     (http://code.google.com/p/go/source/detail?r=709120aecee0)
>   * Disable GNU/KFreeBSD build (Closes: #668794)
> Checksums-Sha1:
>  9d1c044d5cdb20c46fd73e9f5abf368fa0f1a1ed 1531 golang_1-6.dsc
>  e756cfc4d60dd706d256fe62f23946508263a98f 38615 golang_1-6.debian.tar.gz
>  0ac9d3901a4e4488bc5fee7831114068c0b5f2bb 17096028 golang-go_1-6_amd64.deb
>  485ccf529a4a87e286162197fbea002492861fd3 2992700 golang-src_1-6_amd64.deb
>  2ba843d4fe14ca1da9689cef2f5e81c4a6a75560 4341184 golang-doc_1-6_all.deb
>  fd080ab4c78d41ff69c8b7e9eaf76cf1bbe20b6a 2660076 golang-dbg_1-6_amd64.deb
>  91eccda17a9019f31249e18413ecbd391ad25fe1 24438 golang_1-6_all.deb
>  9655c644d1b073151a6afff2f208c09734f83155 33862 golang-mode_1-6_all.deb
>  b6fd60674c159a3fca5395d78bdf52d74ac3d9ba 25586 kate-syntax-go_1-6_all.deb
>  98c51f8ac37d367064c91e71fea30a41de412b38 30104 vim-syntax-go_1-6_all.deb
> Checksums-Sha256:
>  ac7c26aba24a0cec5ec0e2dc4b334372a7192ba589b2dcbb09ebdd04bdc96d3f 1531 golang_1-6.dsc
>  1053e0e5c31e357115233ba93ff0773dc3ffa98c9492962260630c9f8ec48152 38615 golang_1-6.debian.tar.gz
>  85e54f471336efe4846aece12da820375079192fbfe53621ff3087dc0c669f89 17096028 golang-go_1-6_amd64.deb
>  30747bc07d663ed9d2b3377e8d36aac59d817d8dcc17b4bf9df1f133865c0958 2992700 golang-src_1-6_amd64.deb
>  b271ae6be51861fe49f4426573ba0b36a20980801fabdb2446418247a02582a0 4341184 golang-doc_1-6_all.deb
>  8347c103ab3906fe963e87a3dcf5dee2a921a5b8f21734913dbafc81d3669d11 2660076 golang-dbg_1-6_amd64.deb
>  534df996becb70f8fa1fd60ba714182e711b40f1fce7a410a392cc19f8ed837d 24438 golang_1-6_all.deb
>  3cb20d539bc0d098fdbe8d869b9f53e0d1e06eda9afcd4717d4a856e88a8ee5c 33862 golang-mode_1-6_all.deb
>  5b7c1519a47dc2d4f84f226614f83c3f1e84e2b859c82118d3ca970a0dde064f 25586 kate-syntax-go_1-6_all.deb
>  9a96696f8d2ef28ca4165708a77b28fc7b6225ac93d5ea2c126a4da5f883605f 30104 vim-syntax-go_1-6_all.deb
> Files:
>  3bc983502ccc05c93a9f162818b2d4a7 1531 devel optional golang_1-6.dsc
>  e7f797eb4b88fa4727aecbe892de840f 38615 devel optional golang_1-6.debian.tar.gz
>  effa709f11bc69c71bed684c7635caba 17096028 devel optional golang-go_1-6_amd64.deb
>  4673fab0a436d16bc55f6310e10f0f67 2992700 devel optional golang-src_1-6_amd64.deb
>  06b49f301a3edf4e73aa98d7199b28b4 4341184 doc optional golang-doc_1-6_all.deb
>  8b7ec0877e5dff5f53384baf532679a5 2660076 debug extra golang-dbg_1-6_amd64.deb
>  1576a39e34a911ca145077ec9161adec 24438 devel optional golang_1-6_all.deb
>  407ef60c555d4016bbba3e06c4479c08 33862 devel optional golang-mode_1-6_all.deb
>  19cc806f67589fee0dc9b710399dfc40 25586 devel optional kate-syntax-go_1-6_all.deb
>  7a1ec826e56404dc7412d0b474580edb 30104 devel optional vim-syntax-go_1-6_all.deb
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iEYEARECAAYFAk+Oc6kACgkQ9OZqfMIN8nMBRQCfdKSRW9szhxeLUlcXuQwNUAw1
> YFUAoKkqAFlFR2umDuUBb4Ix1+L43KGr
> =JQBl
> -----END PGP SIGNATURE-----
>
>
>
>
> ---------- Missatge reenviat ----------
> From: Christoph Egger <christoph@debian.org>
> To: submit@bugs.debian.org
> Cc:
> Date: Sat, 14 Apr 2012 14:37:54 +0200
> Subject: golang: FTBFS[kfreebsd]: testsuite hang
> Package: src:golang
> Version: 2:1-3
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)
>
> Hi!
>
> Your package failed to build on the kfreebsd-* buildds:
>
>>debian/build.stamp
> make[1]: Leaving directory `/build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1'
>   debian/rules override_dh_auto_test
> make[1]: Entering directory `/build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1'
> ! : || { cd /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/src && /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/debian/test.bash /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/pkg/tool/freebsd_amd64; }
> E: Caught signal 'Terminated': terminating immediately
> make[1]: *** [override_dh_auto_test] Terminated
> make: *** [build-arch] Terminated
>
> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=golang&arch=kfreebsd-amd64&ver=2%3A1-3&stamp=1334365793
>
> Regards
>
>    Christoph
>
> If you have further questions please mail debian-bsd@lists.debian.org
>
> --
> 9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
> Debian Developer | Lisp Hacker | CaCert Assurer
>
>
>



-- 
Robert Millan




Marked as found in versions golang/1-6. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:51:04 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#668794; Package src:golang. (Wed, 18 Apr 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Ondřej Surý <ondrej@debian.org>. (Wed, 18 Apr 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #68 received at 668794@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Robert Millan <rmh@debian.org>, 668794@bugs.debian.org
Subject: Re: Bug#668794: closed by Ondřej Surý <ondrej@debian.org> (Bug#668794: fixed in golang 2:1-6)
Date: Wed, 18 Apr 2012 23:48:11 +0200
On Wed, Apr 18, 2012 at 20:48, Robert Millan <rmh@debian.org> wrote:
> found 668794 1-6
> severity 668794 wishlist
> thanks
>
> Hi Ondřej,
>
> Thanks for taking care of this.  If you don't mind, I'd like to keep
> this bug open so the information is not lost.  Hopefully GNU/kFreeBSD
> support can be reenabled someday!

I don't mind. That's reasonable and you might want to speak with upstream
people in the forwarded bug if you have at least a little bit of time
to do that.

> Btw, I think you need to request removal of kfreebsd-* binaries if you
> want golang to migrate to testing.

I know, but there's 10 day delay anyway, so I was going to take care of that
in following days. But thanks anyways for the nudge.

O.

> El 18 d’abril de 2012 10:54, Debian Bug Tracking System
> <owner@bugs.debian.org> ha escrit:
>> This is an automatic notification regarding your Bug report
>> which was filed against the src:golang package:
>>
>> #668794: Check with upstream if Go works on GNU/KFreeBSD
>>
>> It has been closed by Ondřej Surý <ondrej@debian.org>.
>>
>> Their explanation is attached below along with your original report.
>> If this explanation is unsatisfactory and you have not received a
>> better one in a separate message then please contact Ondřej Surý <ondrej@debian.org> by
>> replying to this email.
>>
>>
>> --
>> 668794: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668794
>> Debian Bug Tracking System
>> Contact owner@bugs.debian.org with problems
>>
>>
>> ---------- Missatge reenviat ----------
>> From: "Ondřej Surý" <ondrej@debian.org>
>> To: 668794-close@bugs.debian.org
>> Cc:
>> Date: Wed, 18 Apr 2012 08:50:28 +0000
>> Subject: Bug#668794: fixed in golang 2:1-6
>> Source: golang
>> Source-Version: 2:1-6
>>
>> We believe that the bug you reported is fixed in the latest version of
>> golang, which is due to be installed in the Debian FTP archive:
>>
>> golang-dbg_1-6_amd64.deb
>>  to main/g/golang/golang-dbg_1-6_amd64.deb
>> golang-doc_1-6_all.deb
>>  to main/g/golang/golang-doc_1-6_all.deb
>> golang-go_1-6_amd64.deb
>>  to main/g/golang/golang-go_1-6_amd64.deb
>> golang-mode_1-6_all.deb
>>  to main/g/golang/golang-mode_1-6_all.deb
>> golang-src_1-6_amd64.deb
>>  to main/g/golang/golang-src_1-6_amd64.deb
>> golang_1-6.debian.tar.gz
>>  to main/g/golang/golang_1-6.debian.tar.gz
>> golang_1-6.dsc
>>  to main/g/golang/golang_1-6.dsc
>> golang_1-6_all.deb
>>  to main/g/golang/golang_1-6_all.deb
>> kate-syntax-go_1-6_all.deb
>>  to main/g/golang/kate-syntax-go_1-6_all.deb
>> vim-syntax-go_1-6_all.deb
>>  to main/g/golang/vim-syntax-go_1-6_all.deb
>>
>>
>>
>> A summary of the changes between this version and the previous one is
>> attached.
>>
>> Thank you for reporting the bug, which will now be closed.  If you
>> have further comments please address them to 668794@bugs.debian.org,
>> and the maintainer will reopen the bug report if appropriate.
>>
>> Debian distribution maintenance software
>> pp.
>> Ondřej Surý <ondrej@debian.org> (supplier of updated golang package)
>>
>> (This message was generated automatically at their request; if you
>> believe that there is a problem with it please contact the archive
>> administrators by mailing ftpmaster@debian.org)
>>
>>
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> Format: 1.8
>> Date: Wed, 18 Apr 2012 09:53:30 +0200
>> Source: golang
>> Binary: golang-go golang-src golang-doc golang-dbg golang golang-mode kate-syntax-go vim-syntax-go
>> Architecture: source amd64 all
>> Version: 2:1-6
>> Distribution: unstable
>> Urgency: low
>> Maintainer: Ondřej Surý <ondrej@debian.org>
>> Changed-By: Ondřej Surý <ondrej@debian.org>
>> Description:
>>  golang     - Go programming language compiler - metapackage
>>  golang-dbg - Go programming language compiler - debug files
>>  golang-doc - Go programming language compiler - documentation
>>  golang-go  - Go programming language compiler
>>  golang-mode - Go programming language - mode for GNU Emacs
>>  golang-src - Go programming language compiler - source files
>>  kate-syntax-go - Go programming language - Kate highlighting syntax files
>>  vim-syntax-go - Go programming language - Vim highlighting syntax files
>> Closes: 668794
>> Changes:
>>  golang (2:1-6) unstable; urgency=low
>>  .
>>   * Merge upstream patch to fix homedir issue
>>     (http://code.google.com/p/go/source/detail?r=709120aecee0)
>>   * Disable GNU/KFreeBSD build (Closes: #668794)
>> Checksums-Sha1:
>>  9d1c044d5cdb20c46fd73e9f5abf368fa0f1a1ed 1531 golang_1-6.dsc
>>  e756cfc4d60dd706d256fe62f23946508263a98f 38615 golang_1-6.debian.tar.gz
>>  0ac9d3901a4e4488bc5fee7831114068c0b5f2bb 17096028 golang-go_1-6_amd64.deb
>>  485ccf529a4a87e286162197fbea002492861fd3 2992700 golang-src_1-6_amd64.deb
>>  2ba843d4fe14ca1da9689cef2f5e81c4a6a75560 4341184 golang-doc_1-6_all.deb
>>  fd080ab4c78d41ff69c8b7e9eaf76cf1bbe20b6a 2660076 golang-dbg_1-6_amd64.deb
>>  91eccda17a9019f31249e18413ecbd391ad25fe1 24438 golang_1-6_all.deb
>>  9655c644d1b073151a6afff2f208c09734f83155 33862 golang-mode_1-6_all.deb
>>  b6fd60674c159a3fca5395d78bdf52d74ac3d9ba 25586 kate-syntax-go_1-6_all.deb
>>  98c51f8ac37d367064c91e71fea30a41de412b38 30104 vim-syntax-go_1-6_all.deb
>> Checksums-Sha256:
>>  ac7c26aba24a0cec5ec0e2dc4b334372a7192ba589b2dcbb09ebdd04bdc96d3f 1531 golang_1-6.dsc
>>  1053e0e5c31e357115233ba93ff0773dc3ffa98c9492962260630c9f8ec48152 38615 golang_1-6.debian.tar.gz
>>  85e54f471336efe4846aece12da820375079192fbfe53621ff3087dc0c669f89 17096028 golang-go_1-6_amd64.deb
>>  30747bc07d663ed9d2b3377e8d36aac59d817d8dcc17b4bf9df1f133865c0958 2992700 golang-src_1-6_amd64.deb
>>  b271ae6be51861fe49f4426573ba0b36a20980801fabdb2446418247a02582a0 4341184 golang-doc_1-6_all.deb
>>  8347c103ab3906fe963e87a3dcf5dee2a921a5b8f21734913dbafc81d3669d11 2660076 golang-dbg_1-6_amd64.deb
>>  534df996becb70f8fa1fd60ba714182e711b40f1fce7a410a392cc19f8ed837d 24438 golang_1-6_all.deb
>>  3cb20d539bc0d098fdbe8d869b9f53e0d1e06eda9afcd4717d4a856e88a8ee5c 33862 golang-mode_1-6_all.deb
>>  5b7c1519a47dc2d4f84f226614f83c3f1e84e2b859c82118d3ca970a0dde064f 25586 kate-syntax-go_1-6_all.deb
>>  9a96696f8d2ef28ca4165708a77b28fc7b6225ac93d5ea2c126a4da5f883605f 30104 vim-syntax-go_1-6_all.deb
>> Files:
>>  3bc983502ccc05c93a9f162818b2d4a7 1531 devel optional golang_1-6.dsc
>>  e7f797eb4b88fa4727aecbe892de840f 38615 devel optional golang_1-6.debian.tar.gz
>>  effa709f11bc69c71bed684c7635caba 17096028 devel optional golang-go_1-6_amd64.deb
>>  4673fab0a436d16bc55f6310e10f0f67 2992700 devel optional golang-src_1-6_amd64.deb
>>  06b49f301a3edf4e73aa98d7199b28b4 4341184 doc optional golang-doc_1-6_all.deb
>>  8b7ec0877e5dff5f53384baf532679a5 2660076 debug extra golang-dbg_1-6_amd64.deb
>>  1576a39e34a911ca145077ec9161adec 24438 devel optional golang_1-6_all.deb
>>  407ef60c555d4016bbba3e06c4479c08 33862 devel optional golang-mode_1-6_all.deb
>>  19cc806f67589fee0dc9b710399dfc40 25586 devel optional kate-syntax-go_1-6_all.deb
>>  7a1ec826e56404dc7412d0b474580edb 30104 devel optional vim-syntax-go_1-6_all.deb
>>
>> -----BEGIN PGP SIGNATURE-----
>> Version: GnuPG v1.4.10 (GNU/Linux)
>>
>> iEYEARECAAYFAk+Oc6kACgkQ9OZqfMIN8nMBRQCfdKSRW9szhxeLUlcXuQwNUAw1
>> YFUAoKkqAFlFR2umDuUBb4Ix1+L43KGr
>> =JQBl
>> -----END PGP SIGNATURE-----
>>
>>
>>
>>
>> ---------- Missatge reenviat ----------
>> From: Christoph Egger <christoph@debian.org>
>> To: submit@bugs.debian.org
>> Cc:
>> Date: Sat, 14 Apr 2012 14:37:54 +0200
>> Subject: golang: FTBFS[kfreebsd]: testsuite hang
>> Package: src:golang
>> Version: 2:1-3
>> Severity: serious
>> Tags: sid wheezy
>> User: debian-bsd@lists.debian.org
>> Usertags: kfreebsd
>> X-Debbugs-Cc: debian-bsd@lists.debian.org
>> Justification: fails to build from source (but built successfully in the past)
>>
>> Hi!
>>
>> Your package failed to build on the kfreebsd-* buildds:
>>
>>>debian/build.stamp
>> make[1]: Leaving directory `/build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1'
>>   debian/rules override_dh_auto_test
>> make[1]: Entering directory `/build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1'
>> ! : || { cd /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/src && /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/debian/test.bash /build/buildd-golang_1-3-kfreebsd-amd64-BYZvvB/golang-1/pkg/tool/freebsd_amd64; }
>> E: Caught signal 'Terminated': terminating immediately
>> make[1]: *** [override_dh_auto_test] Terminated
>> make: *** [build-arch] Terminated
>>
>> Full build log at
>> https://buildd.debian.org/status/fetch.php?pkg=golang&arch=kfreebsd-amd64&ver=2%3A1-3&stamp=1334365793
>>
>> Regards
>>
>>    Christoph
>>
>> If you have further questions please mail debian-bsd@lists.debian.org
>>
>> --
>> 9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
>> Debian Developer | Lisp Hacker | CaCert Assurer
>>
>>
>>
>
>
>
> --
> Robert Millan
>
>



-- 
Ondřej Surý <ondrej@sury.org>




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:58:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:55:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.